Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Pakiet foomatic-filters przerywa kompilację
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Thu Aug 02, 2012 9:26 am    Post subject: [SOLVED] Pakiet foomatic-filters przerywa kompilację Reply with quote

Podczas aktualizacji systemu
Code:
emerge --sync && emerge -auDN world

Pakiet net-print/foomatic-filters przerywa kompilację w połowie.
Code:
sent 58.38K bytes  received 7.45M bytes  79.44K bytes/sec
total size is 279.39M  speedup is 37.22

 * IMPORTANT: 3 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: 2 config files in '/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] net-print/foomatic-filters-4.0.17  USE="cups dbus"
[ebuild   R    ] x11-libs/gtk+-2.24.11-r1  USE="xinerama*"
[ebuild  NS    ] x11-libs/gtk+-3.4.4 [2.24.11-r1] USE="X cups introspection xinerama (-aqua) -colord -debug -doc -examples (-packagekit) -test -vim-syntax (-wayland)"
[ebuild   R    ] x11-wm/fluxbox-1.3.2  USE="xinerama*"
[ebuild     U  ] sys-apps/util-linux-2.21.2 [2.20.1-r2] USE="udev%*"
[ebuild     U  ] sys-fs/e2fsprogs-1.42.4 [1.42]
[ebuild  N     ] app-arch/libarchive-3.0.4-r1  USE="acl bzip2 e2fsprogs iconv lzma zlib -expat -nettle -static-libs -xattr"
[ebuild  N     ] dev-util/cmake-2.8.8-r3  USE="ncurses -emacs -qt4 -test -vim-syntax"
[ebuild  N     ] app-text/poppler-0.20.2-r1  USE="cairo cxx introspection jpeg lcms png tiff utils xpdf-headers -cjk -curl -debug -doc -jpeg2k -qt4"
[ebuild  N     ] net-print/cups-filters-1.0.20  USE="jpeg png tiff -perl -static-libs"
[ebuild     U  ] net-misc/openssh-6.0_p1-r1 [5.9_p1-r4] USE="X* ldap*"
[ebuild     U  ] sys-apps/openrc-0.10.5 [0.9.8.4]
[ebuild     U  ] sys-fs/udev-187 [171-r6] USE="gudev* hwdb* keymap* openrc%* -doc% -static-libs%"
[blocks b      ] <sys-fs/udev-186 ("<sys-fs/udev-186" is blocking sys-fs/udev-init-scripts-14)
[ebuild  N     ] sys-fs/udev-init-scripts-14
[ebuild  N     ] sys-auth/polkit-0.107  USE="gtk introspection nls pam -examples -kde (-selinux) -systemd"
[ebuild  N     ] gnome-extra/polkit-gnome-0.105
[ebuild  N     ] sys-auth/consolekit-0.4.5_p20120320  USE="acl pam (policykit) -debug -doc (-selinux) -test"
[ebuild     U  ] sys-auth/pambase-20120417-r1 [20101024-r2] USE="(consolekit*) -systemd%"
[ebuild     U  ] sys-apps/shadow-4.1.5.1 [4.1.4.3] USE="acl%* -xattr%"
[blocks b      ] <sys-apps/shadow-4.1.5-r1 ("<sys-apps/shadow-4.1.5-r1" is blocking sys-auth/pambase-20120417-r1)

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 19) net-print/foomatic-filters-4.0.17
openpty failed: 'out of pty devices'
 * foomatic-filters-4.0.17.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...               [ ok ]
>>> Unpacking source...
>>> Unpacking foomatic-filters-4.0.17.tar.gz to /var/tmp/portage/net-print/foomatic-filters-4.0.17/work
>>> Source unpacked in /var/tmp/portage/net-print/foomatic-filters-4.0.17/work
>>> Preparing source in /var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17 ...
 * Applying foomatic-filters-4.0.9-multilib.patch ...                                [ ok ]
 * Running eautoreconf in '/var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17' ...
 * Running aclocal ...                                                               [ ok ]
 * Running autoconf ...                                                              [ ok ]
 * Running autoheader ...                                                            [ ok ]
 * Running automake --add-missing --copy ...                                         [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17 ...
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --enable-dbus
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of i686-pc-linux-gnu-gcc... none
checking for i686-pc-linux-gnu-g++... i686-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether i686-pc-linux-gnu-g++ accepts -g... yes
checking dependency style of i686-pc-linux-gnu-g++... none
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking whether i686-pc-linux-gnu-gcc and cc understand -c and -o together... yes
checking for roundf in -lm... yes
checking how to run the C preprocessor... i686-pc-linux-gnu-gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for memory.h... (cached) yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for pid_t... yes
checking for size_t... yes
checking for ssize_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking return type of signal handlers... void
checking for working strtod... yes
checking for vprintf... yes
checking for _doprnt... no
checking for dup2... yes
checking for getcwd... yes
checking for gethostname... yes
checking for regcomp... yes
checking for setenv... yes
checking for strcasecmp... yes
checking for strchr... yes
checking for strcspn... yes
checking for strdup... yes
checking for strncasecmp... yes
checking for strndup... yes
checking for strrchr... yes
checking for strstr... yes
checking for strcasestr... yes
checking for strtol... yes
checking for perl... /usr/bin/perl
checking for printcap/... /etc/printcap
checking for cups-config... /usr/bin/cups-config
checking for ppr/... ${exec_prefix}/lib/ppr
checking for ppr/interfaces/... ${exec_prefix}/lib/ppr/interfaces
checking for ppr/lib/... ${exec_prefix}/lib/ppr/lib
checking for a2ps... no
checking for enscript... no
checking for mpage... no
checking for texttops... no
file-converter:
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for DBUS... yes
configure: error: cannot find a2ps, enscript, mpage, or CUPS' texttops.  You need to have at least one installed

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17/config.log
 * ERROR: net-print/foomatic-filters-4.0.17 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_configure
 *        environment, line 2931:  Called econf '--enable-dbus'
 *   phase-helpers.sh, line  467:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=net-print/foomatic-filters-4.0.17'`,
 * the complete build log and the output of `emerge -pqv '=net-print/foomatic-filters-4.0.17'`.
 * The complete build log is located at '/var/tmp/portage/net-print/foomatic-filters-4.0.17/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/foomatic-filters-4.0.17/temp/environment'.
 * Working directory: '/var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17'
 * S: '/var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17'

>>> Failed to emerge net-print/foomatic-filters-4.0.17, Log file:

>>>  '/var/tmp/portage/net-print/foomatic-filters-4.0.17/temp/build.log'

 * Messages for package net-print/foomatic-filters-4.0.17:

 * ERROR: net-print/foomatic-filters-4.0.17 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_configure
 *        environment, line 2931:  Called econf '--enable-dbus'
 *   phase-helpers.sh, line  467:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=net-print/foomatic-filters-4.0.17'`,
 * the complete build log and the output of `emerge -pqv '=net-print/foomatic-filters-4.0.17'`.
 * The complete build log is located at '/var/tmp/portage/net-print/foomatic-filters-4.0.17/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/foomatic-filters-4.0.17/temp/environment'.
 * Working directory: '/var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17'
 * S: '/var/tmp/portage/net-print/foomatic-filters-4.0.17/work/foomatic-filters-4.0.17'
Czy da się w jakiś sposób naprawić? Maskowanie pakietu nic nie daje, usunąć też go nie mogę.
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2828

PostPosted: Thu Aug 02, 2012 10:02 am    Post subject: Reply with quote

Code:
configure: error: cannot find a2ps, enscript, mpage, or CUPS' texttops.  You need to have at least one installed
Przebuduj je z --oneshot i wtedy sprawdz.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Thu Aug 02, 2012 10:21 am    Post subject: Reply with quote

SlashBeast wrote:
Code:
configure: error: cannot find a2ps, enscript, mpage, or CUPS' texttops.  You need to have at least one installed
Przebuduj je z --oneshot i wtedy sprawdz.
Dzięki ruszyło dalej. Lecz teraz nękają mnie takie komunikaty przy różnych pakietach. Potrafi skompilować trzy pakiety dobrze a przy nastepnym się zatrzymuje na tym.
Code:
nome-0.105/src'
make[1]: *** [all-recursive] B��d 1
make[1]: Opuszczenie katalogu `/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
make: *** [all] B��d 2
 * ERROR: gnome-extra/polkit-gnome-0.105 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/polkit-gnome-0.105'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/polkit-gnome-0.105'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
 * S: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'

>>> Failed to emerge gnome-extra/polkit-gnome-0.105, Log file:

>>>  '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'

 * Messages for package gnome-extra/polkit-gnome-0.105:

 * ERROR: gnome-extra/polkit-gnome-0.105 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/polkit-gnome-0.105'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/polkit-gnome-0.105'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
 * S: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
lub
Code:
ake[1]: *** [all-recursive] B��d 1
make[1]: Opuszczenie katalogu `/var/tmp/portage/app-crypt/pinentry-0.8.1/work/pinentry-0.8.1'
make: *** [all] B��d 2
emake failed
 * ERROR: app-crypt/pinentry-0.8.1 failed (compile phase):
 *   emake failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_compile
 *        environment, line 2315:  Called _eapi2_src_compile
 *   phase-helpers.sh, line  573:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *
 * If you need support, post the output of `emerge --info '=app-crypt/pinentry-0.8.1'`,
 * the complete build log and the output of `emerge -pqv '=app-crypt/pinentry-0.8.1'`.
 * The complete build log is located at '/var/tmp/portage/app-crypt/pinentry-0.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-crypt/pinentry-0.8.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-crypt/pinentry-0.8.1/work/pinentry-0.8.1'
 * S: '/var/tmp/portage/app-crypt/pinentry-0.8.1/work/pinentry-0.8.1'

>>> Failed to emerge app-crypt/pinentry-0.8.1, Log file:

>>>  '/var/tmp/portage/app-crypt/pinentry-0.8.1/temp/build.log'

 * Messages for package app-crypt/pinentry-0.8.1:

 * ERROR: app-crypt/pinentry-0.8.1 failed (compile phase):
 *   emake failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_compile
 *        environment, line 2315:  Called _eapi2_src_compile
 *   phase-helpers.sh, line  573:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *
 * If you need support, post the output of `emerge --info '=app-crypt/pinentry-0.8.1'`,
 * the complete build log and the output of `emerge -pqv '=app-crypt/pinentry-0.8.1'`.
 * The complete build log is located at '/var/tmp/portage/app-crypt/pinentry-0.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-crypt/pinentry-0.8.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-crypt/pinentry-0.8.1/work/pinentry-0.8.1'
 * S: '/var/tmp/portage/app-crypt/pinentry-0.8.1/work/pinentry-0.8.1'

 * GNU info directory index is up-to-date.

 * IMPORTANT: 10 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Na dodatek chyba dostałem bana do poniedziałku, dlatego że skopiowałem to polecenie emerge --sync && emerge -auDN world z jakiegoś blogu. Zamiast nie przesadzać z emerge --sync i tylko raz dziennie aktualizować.
Code:
Please note: common gentoo-netiquette says you should not sync more
than once a day.  Users who abuse the rsync.gentoo.org rotation
may be added to a temporary ban list.

MOTD autogenerated by update-rsync-motd on Sun Apr  1 01:05:31 UTC 2012
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2828

PostPosted: Thu Aug 02, 2012 10:52 am    Post subject: Reply with quote

Nie sadze bys dostal bana, anyway, jeden temat jeden problem, otworz drugi temat na to. Dodatkowo to co wkleiles nie zawiera nic sensownego, wiecje bledu potrzeba, dobre 50 linijek nad tym komunikatem emerge, ze sie wywalilo by sie przydalo.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Thu Aug 02, 2012 12:00 pm    Post subject: Reply with quote

SlashBeast wrote:
Nie sadze bys dostal bana, anyway, jeden temat jeden problem, otworz drugi temat na to. Dodatkowo to co wkleiles nie zawiera nic sensownego, wiecje bledu potrzeba, dobre 50 linijek nad tym komunikatem emerge, ze sie wywalilo by sie przydalo.
Ok. Takie większe informację wklejać tu w całośći by było przejrzyście czytać? Czy osobno na zewnętrzny link?
Code:
emerge -auDN world

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: 3 config files in '/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] gnome-extra/polkit-gnome-0.105
[ebuild   R    ] sys-libs/zlib-1.2.7  USE="minizip*"
[ebuild   R    ] sys-fs/udev-187  USE="gudev*"

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 3) gnome-extra/polkit-gnome-0.105
openpty failed: 'out of pty devices'
 * polkit-gnome-0.105.tar.xz RMD160 SHA1 SHA256 size ;-) ...                         [ ok ]
>>> Unpacking source...
>>> Unpacking polkit-gnome-0.105.tar.xz to /var/tmp/portage/gnome-extra/polkit-gnome-0.105/work
>>> Source unpacked in /var/tmp/portage/gnome-extra/polkit-gnome-0.105/work
>>> Preparing source in /var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105 ...
 * econf: updating polkit-gnome-0.105/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating polkit-gnome-0.105/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to disable maintainer-specific portions of Makefiles... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of i686-pc-linux-gnu-gcc... none
checking how to run the C preprocessor... i686-pc-linux-gnu-gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by i686-pc-linux-gnu-gcc... /usr/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/i686-pc-linux-gnu/bin/ld option to reload object files... -r
checking for i686-pc-linux-gnu-objdump... i686-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for i686-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for i686-pc-linux-gnu-ar... i686-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for i686-pc-linux-gnu-strip... i686-pc-linux-gnu-strip
checking for i686-pc-linux-gnu-ranlib... i686-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from i686-pc-linux-gnu-gcc object... ok
checking for sysroot... no
checking for i686-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if i686-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for i686-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if i686-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if i686-pc-linux-gnu-gcc static flag -static works... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the i686-pc-linux-gnu-gcc linker (/usr/i686-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether gcc understands -Wno-sign-compare... yes
checking what warning flags to pass to the C compiler... -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare
checking what language compliance flags to pass to the C compiler...
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... yes
checking for GLIB... yes
checking for POLKIT_AGENT... yes
checking for POLKIT_GOBJECT... yes
checking whether NLS is requested... yes
checking for intltool >= 0.35.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.16.0
checking for XML::Parser... ok
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... (cached) /usr/bin/gmsgfmt
checking for xgettext... (cached) /usr/bin/xgettext
configure: creating ./config.status
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: creating src/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands

                  polkit-gnome 0.105
                =======================

        prefix:                     /usr
        libdir:                     ${exec_prefix}/lib
        libexecdir:                 ${exec_prefix}/libexec
        bindir:                     ${exec_prefix}/bin
        sbindir:                    ${exec_prefix}/sbin
        datadir:                    /usr/share
        sysconfdir:                 /etc
        localstatedir:              /var/lib

        compiler:                   i686-pc-linux-gnu-gcc
        cflags:                     -O2 -march=i686 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare
        cppflags:                   

        Maintainer mode:            yes

>>> Source configured.
>>> Compiling source in /var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105 ...
make -j5
make  all-recursive
make[1]: Wej�cie do katalogu `/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
Making all in src
make[2]: Wej�cie do katalogu `/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105/src'
  CC     polkit_gnome_authentication_agent_1-polkitgnomelistener.o
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -DG_LOG_DOMAIN=\"polkit-gnome-1\" -DDATADIR=\""/usr/share/polkit-gnome"\" -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DPOLKIT_AGENT_I_KNOW_API_IS_SUBJECT_TO_CHANGE    -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -O2 -march=i686 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c -o polkit_gnome_authentication_agent_1-polkitgnomelistener.o `test -f 'polkitgnomelistener.c' || echo './'`polkitgnomelistener.c
  CC     polkit_gnome_authentication_agent_1-polkitgnomeauthenticator.o
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -DG_LOG_DOMAIN=\"polkit-gnome-1\" -DDATADIR=\""/usr/share/polkit-gnome"\" -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DPOLKIT_AGENT_I_KNOW_API_IS_SUBJECT_TO_CHANGE    -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -O2 -march=i686 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c -o polkit_gnome_authentication_agent_1-polkitgnomeauthenticator.o `test -f 'polkitgnomeauthenticator.c' || echo './'`polkitgnomeauthenticator.c
  CC     polkit_gnome_authentication_agent_1-polkitgnomeauthenticationdialog.o
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -DG_LOG_DOMAIN=\"polkit-gnome-1\" -DDATADIR=\""/usr/share/polkit-gnome"\" -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DPOLKIT_AGENT_I_KNOW_API_IS_SUBJECT_TO_CHANGE    -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -O2 -march=i686 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c -o polkit_gnome_authentication_agent_1-polkitgnomeauthenticationdialog.o `test -f 'polkitgnomeauthenticationdialog.c' || echo './'`polkitgnomeauthenticationdialog.c
  CC     polkit_gnome_authentication_agent_1-main.o
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -DG_LOG_DOMAIN=\"polkit-gnome-1\" -DDATADIR=\""/usr/share/polkit-gnome"\" -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DPOLKIT_AGENT_I_KNOW_API_IS_SUBJECT_TO_CHANGE    -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -O2 -march=i686 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c -o polkit_gnome_authentication_agent_1-main.o `test -f 'main.c' || echo './'`main.c
polkitgnomeauthenticationdialog.c: In function 'polkit_gnome_authentication_dialog_constructed':
polkitgnomeauthenticationdialog.c:551:3: warning: 'gtk_hbox_new' is deprecated (declared at /usr/include/gtk-3.0/gtk/deprecated/gtkhbox.h:62): Use 'gtk_box_new' instead
polkitgnomeauthenticationdialog.c:559:3: warning: 'gtk_vbox_new' is deprecated (declared at /usr/include/gtk-3.0/gtk/deprecated/gtkvbox.h:60): Use 'gtk_box_new' instead
polkitgnomeauthenticationdialog.c:614:3: warning: 'gtk_vbox_new' is deprecated (declared at /usr/include/gtk-3.0/gtk/deprecated/gtkvbox.h:60): Use 'gtk_box_new' instead
polkitgnomeauthenticationdialog.c:647:3: warning: 'gtk_vbox_new' is deprecated (declared at /usr/include/gtk-3.0/gtk/deprecated/gtkvbox.h:60): Use 'gtk_box_new' instead
  CCLD   polkit-gnome-authentication-agent-1
/usr/lib/gcc/i686-pc-linux-gnu/4.5.3/../../../../i686-pc-linux-gnu/bin/ld: warning: libudev.so.0, needed by /usr/lib/libEGL.so.1, not found (try using -rpath or -rpath-link)
/usr/lib/libEGL.so.1: undefined reference to `udev_device_get_devnode'
/usr/lib/libEGL.so.1: undefined reference to `udev_device_get_parent'
/usr/lib/libEGL.so.1: undefined reference to `udev_device_unref'
/usr/lib/libEGL.so.1: undefined reference to `udev_device_get_property_value'
/usr/lib/libEGL.so.1: undefined reference to `udev_device_new_from_devnum'
/usr/lib/libEGL.so.1: undefined reference to `udev_unref'
/usr/lib/libEGL.so.1: undefined reference to `udev_new'
collect2: ld returned 1 exit status
make[2]: *** [polkit-gnome-authentication-agent-1] B��d 1
make[2]: Opuszczenie katalogu `/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105/src'
make[1]: *** [all-recursive] B��d 1
make[1]: Opuszczenie katalogu `/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
make: *** [all] B��d 2
 * ERROR: gnome-extra/polkit-gnome-0.105 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/polkit-gnome-0.105'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/polkit-gnome-0.105'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
 * S: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'

>>> Failed to emerge gnome-extra/polkit-gnome-0.105, Log file:

>>>  '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'

 * Messages for package gnome-extra/polkit-gnome-0.105:

 * ERROR: gnome-extra/polkit-gnome-0.105 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/polkit-gnome-0.105'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/polkit-gnome-0.105'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
 * S: '/var/tmp/portage/gnome-extra/polkit-gnome-0.105/work/polkit-gnome-0.105'
To cały wynik jaki jest.
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 356
Location: Kraków

PostPosted: Thu Aug 02, 2012 7:29 pm    Post subject: Reply with quote

Quote:
/usr/lib/gcc/i686-pc-linux-gnu/4.5.3/../../../../i686-pc-linux-gnu/bin/ld: warning: libudev.so.0, needed by /usr/lib/libEGL.so.1, not found (try using -rpath or -rpath-link)


Czasem się developerom zdarzy, że nie wrzucą wszystkich zależności do ebuilda. Ale wystarczy przyjrzeć się logom i wiadomo, o co chodzi.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Fri Aug 03, 2012 9:44 am    Post subject: Reply with quote

Juz udalo mi sie to naprawic, czytajac komunikaty ktore wypluwa emerge i stosujac rozne opcje.. Ale az sie boje aktualizowac teraz Gentoo , nazbieralo mi sie mnostwo pakietow
Code:
epm -gqa | wc -l
520
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 356
Location: Kraków

PostPosted: Fri Aug 03, 2012 3:56 pm    Post subject: Reply with quote

Chłopie, rób to czym prędzej, potem będzie za późno.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Fri Aug 03, 2012 4:14 pm    Post subject: Reply with quote

Garrappachc wrote:
Chłopie, rób to czym prędzej, potem będzie za późno.

Zrobiłem aktualizacje systemu
Code:
emerge -avuND world

Wszystko się zaktualizowało poprawnie ale gdy wpisuję na koniec emerge --depclean pojawia się komunikat który chce mi usunąć jedyny edytor jaki posiadam , czyli nano
Code:
emerge --depclean

 * Depclean may break link level dependencies. Thus, it is
 * recommended to use a tool such as `revdep-rebuild` (from
 * app-portage/gentoolkit) in order to detect such breakage.
 *
 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 *
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence, it is often necessary to run `emerge --update
 * --newuse --deep @world` prior to depclean.

Calculating dependencies... done!
>>> Calculating removal order...

                                                                                                   
!!! 'app-editors/nano' (virtual/editor) is part of your system profile.                           
!!! Unmerging it may be damaging to your system.                                                   
                                                                                                   
>>> Waiting 10 seconds before starting...                                                         
>>> (Control-C to abort)...
Press Ctrl-C to Stop in:  10 9 8 7 6 5 4 3 2 ^C

Exiting on signal 2
Znalazłem podobny temat http://forums.gentoo.org/viewtopic-t-885306-start-0.html
i wynika z tego że jestem skazany na zainstalowanie Vima (całe 10MB do kompilacji) lub inny edytor. Zastanawiam się czy pozwolić emerge --depclean usunąć nano a następnie go zainstalować przez
Code:
emerge --noreplace nano
będzie dobrym rozwiązaniem?

Pytanie 2. Czy z wersji stable ufw został już całkowicie usunięty z Gentoo? http://packages.gentoo.org/category/net-firewall
Nie da się go już zainstalować.
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 356
Location: Kraków

PostPosted: Fri Aug 03, 2012 6:52 pm    Post subject: Reply with quote

Wywalili nano z profilu i tyla. Po depcleanie sobie normalnie zainstalujesz.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
antarcticuspl
n00b
n00b


Joined: 28 Jul 2012
Posts: 17
Location: PL

PostPosted: Sat Aug 04, 2012 3:14 pm    Post subject: Reply with quote

Garrappachc wrote:
Wywalili nano z profilu i tyla. Po depcleanie sobie normalnie zainstalujesz.

To zrobiłem tak jak napisałeś bez tego --noreplace. A co z tym pakietem ufw , będzie on w ogóle dostępny w wersji stable za kilka tygodni. Czy nie ma na co liczyć i trzeba odmaskować ten pakiet instalując osobno?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum